project(i_i2c)

add_library(${PROJECT_NAME} i2c.cpp)

target_include_directories( ${PROJECT_NAME}
	PRIVATE
	${PROJECT_SOURCE_DIR}
	/usr/include/c++/8/bits
	/usr/include/x86_64-linux-gnu/c++/8
	/usr/include/c++/8/backward
	/usr/lib/gcc/x86_64-linux-gnu/8/include
	/usr/local/include
	/usr/lib/gcc/x86_64-linux-gnu/8/include-fixed
	/usr/include/x86_64-linux-gnu
	/usr/include
)

add_library(interface::i2c ALIAS ${PROJECT_NAME})
